您当前的位置:首页 VR硬件 Oculus 正文

最佳实践:如何将 Gear VR 内容移植到 Oculus Go

查看: 1155| 评论: 0 2018-7-20 02:33 PM| 发布者: PeckBang |来自: 映维

      随着 Oculus Go 的上市,向Oculus Store提交的发行申请日渐增加。尽管其中一些是全新的应用程序,并且在设计时考虑到 Oculus Go 的软件和硬件配置,但有许多开发者仍在继续将现有的 Gear VR 游戏移植到 Oculus Go。

      为了确保移植应用程序的开发者尽可能顺利地完成这一过程,Oculus提供了额外的指导和最佳实践,希望为目前正在移植或考虑将应用程序移植到Oculus Go的开发者提供帮助。

      要确定你的应用程序是否兼容Oculus Go,最简单的方法是将一个版本上传至商店频道。具体请参阅“开发者必知,Oculus Go的完整官方建议及新工具、技术特色”一文中的第5点“为Oculus Go提交应用与更新”。

      要满足兼容条件和为Oculus Store提供兼容Oculus Go的版本,一般只需上传一个移除了冲突或特性硬件依赖项的新版本。

      如果你已经开发了一款Gear VR应用程序,并且有兴趣将其移植到Oculus Go,在将应用程序提交至商店审核时你需要注意两个问题:


   应用程序的API Level

      Oculus Go的Android API level为25。如果恰巧Go兼容应用程度的最低API高于这一level,你的应用程序将不会显示在Oculus Go设备上。你最好将应用程序设置为最低的API,Oculus目前建议至少使用API 21。

      如果你的应用程序没有特定要求,你也可以将此字段留空。降低最低API级别可令你的应用程序支持更多设备,并可扩大你的受众。

      如果你认为这个问题是目前导致应用程序无法兼容Oculus Go的原因,请在开发者面板中浏览应用程序的“build details(版本信息)”,并滚动到最底部以查看应用程序所针对的API。下图显示了最低API leve为23的Gear VR应用程序,这一版本与Oculus Go兼容。

最佳实践:如何将Gear VR内容移植到Oculus Go


   上传至发行频道的兼容性检查

      发行频道没有标记Oculus Go不兼容版本的视觉提示。如果在你的Gear VR版本中检测到GMS(Google Mobile Services)的任何flag或语音API的引用,你将需要手动检查测试结果。

      下图是一个标记为未通过Oculus Go兼容性测试的应用程序。流程与商店频道保持一致:一旦使用新版本号上传了新的二进制文件,应用程序将通过这一检查,并可从设备上的“My Preview Apps”区域进行下载。


   遇到问题时的重要说明和后续步骤

      正如发行频道博文和文档中所述,用户将从可以访问的所有发行频道中收到最新的二进制文件。

      在修改应用程序支持的设备时,请记住这是每个二进制配置,每次将新版本上载到开发者面板时都必须进行设置,从而令应用程序显示为“兼容”并可由你标记的设备进行下载。

      如果你遇到问题并且无法将应用提交至商店,请使用你的Gear VR应用程序ID与Oculus的开发者支持进行联系。

52VR.COM微信扫一扫
52vr公众号
专注于VR的学习、开发和人才交流

52VR开发交流

手机版|VR开发网 |网站地图 统计  津ICP备16006248号 网安备12019202000257

GMT+8, 2018-10-23 05:45 AM

返回顶部